{ pkgs, ... }:
{
  accounts.email = {
    maildirBasePath = "/home/emenel/.maildir";
    accounts = {
      "matt@emenel.ca" = {
        address = "matt@emenel.ca";
        realName = "Matt Nish-Lapidus";
        primary = true;
        mu.enable = true;
        mbsync = {
          enable = true;
          create = "both";
          extraConfig.channel = {
            CopyArrivalDate = true;
            Sync = "All";
          };
        };
        msmtp.enable = true;
        flavor = "fastmail.com";
        passwordCommand = "rbw get mu4e-fastmail";
      };

      "admin@studyoftime.org" = {
        address = "admin@studyoftime.org";
        realName = "ISST Web Admin";
        mu.enable = true;
        mbsync = {
          enable = true;
          create = "both";
          extraConfig.channel = {
            CopyArrivalDate = true;
          };
        };
        msmtp.enable = true;
        passwordCommand = "rbw get admin@studyoftime";
        imap.host = "imap.dreamhost.com";
        smtp.host = "imap.dreamhost.com";
        userName = "admin@studyoftime.org";
      };
    };
  };

  programs = {
    mu.enable = true;
    mbsync = {
      enable = true;
    };
    msmtp.enable = true;
    thunderbird = {
      enable = true;
      profiles.emenel = {
        isDefault = true;
      };
    };
  };
}
